Subject: Re: bug#30287: Go compiler tries writing to the store
From: Sarah Morgensen <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked], Peter Mikkelsen <[email-masked]>
Date: Sat, 24 Jul 2021 17:17:38 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing this as it seems this is no longer an issue with the go versions
currently packaged.

Sarah Morgensen <[email-masked]> writes:

> Hello,
>
> Looking through old Go bugs I found this. Is this still an issue for
> anyone? I just tested with [email-masked] and [email-masked] and I got expected
> behavior (binary was installed in ~/go/bin, since ~/go is the default
> GOPATH).
>
> Leo Famulari <[email-masked]> writes:
>
>> On Mon, Jan 29, 2018 at 10:50:10AM +0100, Peter Mikkelsen wrote:
>>> Hi guix,
>>
>> Hi, thanks for this report! I saw your brief conversation on #guix with
>> civodul. Unfortunately I've only been paying attention to packaging Go
>> software with Guix, so I didn't notice this issue.
>>
>>> For example, after setting the environment variable GOPATH to
>>> /home/peter/go, and creating a small hello world program in there, I
>>> would normally be able to run 'go install' in that folder, and the
>>> hello world binary would end up in my gopath. But on guixSD this is
>>> not the case, since it seems like 'go install' is trying to compile
>>> every single library provided by to go package itself, and that means
>>> writing to the store, which is not possible.
>
> --
> Sarah